# Uses of Class
org.eclipse.draw2d.graph.DirectedGraph

Packages that use DirectedGraph
Package
Description
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of DirectedGraph in org.eclipse.draw2d.graph

Subclasses of DirectedGraph in org.eclipse.draw2d.graph
Modifier and Type
Class
Description
`class`
`CompoundDirectedGraph`
A `DirectedGraph` whose Nodes may be compound `Subgraph`s, which may contain other nodes.
Methods in org.eclipse.draw2d.graph with parameters of type DirectedGraph
Modifier and Type
Method
Description
`void`
DirectedGraphLayout.`visit(DirectedGraph graph)`
Lays out the given graph